Bug 1258649 - Requires: gstreamer-python is incorrect.
Requires: gstreamer-python is incorrect.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gst-entrans (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Theodore Lee
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-31 18:26 EDT by Orion Poplawski
Modified: 2015-09-18 14:32 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.0.2-5.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-14 18:18:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2015-08-31 18:26:39 EDT
Description of problem:

I believe the Requires: gstreamer-python is incorrect as gst-encoder now uses the gobject introspection method to import the gstreamer interface.  This encodes an improper dependency on gstreamer 0.10.

Also, /usr/bin/entrans uses #!/usr/bin/env python, which really should be #/usr/bin/python2 or #!/usr/bin/python3 as appropriate.


Version-Release number of selected component (if applicable):
1.0.2-3.fc21
Comment 1 Theodore Lee 2015-09-01 12:52:10 EDT
The documentation for this indicates that gstreamer-python is still used for some specific overrides, but that may no longer be the case. I will look into this, thank you for the report.
Comment 2 Fedora Update System 2015-09-06 09:01:05 EDT
gst-entrans-1.0.2-5.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15209
Comment 3 Fedora Update System 2015-09-06 09:01:09 EDT
gst-entrans-1.0.2-5.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15211
Comment 4 Fedora Update System 2015-09-06 14:51:37 EDT
gst-entrans-1.0.2-5.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update gst-entrans'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15210
Comment 5 Fedora Update System 2015-09-06 17:19:06 EDT
gst-entrans-1.0.2-5.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update gst-entrans'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15209
Comment 6 Fedora Update System 2015-09-06 17:56:42 EDT
gst-entrans-1.0.2-5.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update gst-entrans'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15211
Comment 7 Fedora Update System 2015-09-14 18:18:47 EDT
gst-entrans-1.0.2-5.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2015-09-14 19:18:01 EDT
gst-entrans-1.0.2-5.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2015-09-18 14:32:21 EDT
gst-entrans-1.0.2-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.